/*
 * This file is part of Cadmium.
 * Copyright (C) 2007-2009 Xavier Clerc.
 *
 * Cadmium is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Cadmium is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/* Macros for primitives */

#define PRIM1(name) CAMLprim value name(value p1) { \
  caml_invalid_argument("Cadmium is not available"); \
  return Val_unit; /* never reached */ \
}

#define PRIM2(name) CAMLprim value name(value p1, value p2) { \
  caml_invalid_argument("Cadmium is not available"); \
  return Val_unit; /* never reached */ \
}

#define PRIM3(name) CAMLprim value name(value p1, value p2, value p3) { \
  caml_invalid_argument("Cadmium is not available"); \
  return Val_unit; /* never reached */ \
}

#define PRIM4(name) CAMLprim value name(value p1, value p2, value p3, value p4) { \
  caml_invalid_argument("Cadmium is not available"); \
  return Val_unit; /* never reached */ \
}

#define PRIM5(name) CAMLprim value name(value p1, value p2, value p3, value p4, value p5) { \
  caml_invalid_argument("Cadmium is not available"); \
  return Val_unit; /* never reached */ \
}

#define PRIM6(name) CAMLprim value name(value p1, value p2, value p3, value p4, value p5, value p6) { \
  caml_invalid_argument("Cadmium is not available"); \
  return Val_unit; /* never reached */ \
}

#define PRIM7(name) CAMLprim value name(value p1, value p2, value p3, value p4, value p5, value p6, value p7) { \
  caml_invalid_argument("Cadmium is not available"); \
  return Val_unit; /* never reached */ \
}

#define PRIMN(name) CAMLprim value name(value *argv, int argn) { \
  caml_invalid_argument("Cadmium is not available"); \
  return Val_unit; /* never reached */ \
}
